tt_message_disposition_set(library call)

NAME
tt_message_disposition_set — set the disposition attribute for a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_disposition_set(
Tt_message m,
Tt_disposition r);

DESCRIPTION

The tt_message_disposition_set function sets the disposition attribute for the specified message.

The m argument is the opaque handle for the message involved in this operation. The r argument indicates whether an instance of the receiving process is to be started to receive the message immediately, or whether the message is to be queued until the receiving process is started at a later time. The following values are defined:

TT_DISCARD
    There is no receiver for this message. The message will be returned to the sender with the Tt_status field containing TT_FAILED.

TT_QUEUE
    Queue the message until a process of the proper ptype receives the message.

TT_START
    Attempt to start a process of the proper ptype if none is running.

TT_QUEUE+TT_START
    Queue the message and attempt to start a process of the proper ptype if none is running.

RETURN VALUE

Upon successful completion, the tt_message_disposition_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).